import { IExternalSourceTimeSeries } from './state/time-series';
import { GenerateRandomDataAction, SetDataAction } from './actions';
declare type IGenerateRandomDataActionActionCreator = (from: Date, to: Date) => GenerateRandomDataAction;
declare type ISetDataActionCreator = (series: IExternalSourceTimeSeries[]) => SetDataAction;
declare const generateRandomData: IGenerateRandomDataActionActionCreator;
declare const setData: ISetDataActionCreator;
export { IGenerateRandomDataActionActionCreator, generateRandomData, ISetDataActionCreator, setData };
