"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Declares reusable actions that can be used by screen using this component
 */
var _ = __importStar(require("lodash"));
var actions_1 = require("./actions");
var generateRandomData = function (from, to) {
    return _.toPlainObject(new actions_1.GenerateRandomDataAction(from, to));
};
exports.generateRandomData = generateRandomData;
var setData = function (series) {
    return _.toPlainObject(new actions_1.SetDataAction(series));
};
exports.setData = setData;
//# sourceMappingURL=action-creators.js.map