"use strict";
// tslint:disable:max-classes-per-file
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var actionTypes = __importStar(require("./action-types"));
var GenerateRandomDataAction = /** @class */ (function () {
    function GenerateRandomDataAction(from, to) {
        this.from = from;
        this.to = to;
        this.type = actionTypes.GENERATE_RANDOM_DATA;
    }
    return GenerateRandomDataAction;
}());
exports.GenerateRandomDataAction = GenerateRandomDataAction;
var SetDataAction = /** @class */ (function () {
    function SetDataAction(series) {
        this.series = series;
        this.type = actionTypes.SET_DATA;
    }
    return SetDataAction;
}());
exports.SetDataAction = SetDataAction;
var AddRangeSelectionAction = /** @class */ (function () {
    function AddRangeSelectionAction(selection) {
        this.selection = selection;
        this.type = actionTypes.ADD_RANGE_SELECTION;
    }
    return AddRangeSelectionAction;
}());
exports.AddRangeSelectionAction = AddRangeSelectionAction;
var RemoveRangeSelectionAction = /** @class */ (function () {
    function RemoveRangeSelectionAction(unix) {
        this.unix = unix;
        this.type = actionTypes.REMOVE_RANGE_SELECTION;
    }
    return RemoveRangeSelectionAction;
}());
exports.RemoveRangeSelectionAction = RemoveRangeSelectionAction;
//# sourceMappingURL=actions.js.map