import { IUnixTimePoint } from '../state/unix-time-point';
import { IHpTimeSeriesChartState } from '../state';
import { IChartTimeSeriesBuckets } from './interfaces';
import { IHpTimeSeriesChartTimeSeries, IOnScreenTimeSeries } from '../state/time-series';
import { TimeSeries } from '../components/time-series';
export declare const hpTimeSeriesChartCalculations: {
    getTimeSeriesBuckets: (allData: IUnixTimePoint[], unixToIndexMap: Map<number, number>, numberOfBuckets: number, filterFrom?: number, filterTo?: number) => IChartTimeSeriesBuckets;
    convertToOnScreenTimeSeries: (series: IHpTimeSeriesChartTimeSeries[], unixFrom: number, unixTo: number, numberOfBuckets: number) => IOnScreenTimeSeries[];
    findMinMaxValuesBasedOnWindow: (state: IHpTimeSeriesChartState) => {
        yMin: number;
        yMax: number;
    };
    mapifyTimeSeries: (timeSeries: TimeSeries) => Map<number, number>;
};
