/// <reference types="react" />
import * as React from 'react';
import { IOnScreenTimeSeries } from '../../state/time-series';
export interface ITimeSeriesProps {
    /**
     * placeholder for D3 function that calculates x-scale
     */
    xScale: (value: any) => any;
    /**
     * placeholder for D3 function that calculates y-scale
     */
    yScale: (value: number) => number;
    chartTimeSeries: IOnScreenTimeSeries[];
    yMin: number;
    yMax: number;
}
export interface ITimeSeriesRendererContext {
    ts: IOnScreenTimeSeries;
    xScale: (value: any) => any;
    yScale: (value: number) => number;
    yMin: number;
    yMax: number;
}
export declare class TimeSeries extends React.Component<ITimeSeriesProps> {
    constructor(props: any);
    renderSvgPrimitives(): any[];
    render(): JSX.Element;
}
