"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var _ = __importStar(require("lodash"));
var d3 = __importStar(require("d3"));
exports.ValueAxis = function (props) {
    var getAxisTransform = function () {
        return "translate(" + props.scss.paddingLeftPx + ", 0)";
    };
    return (React.createElement("g", { className: "axis", transform: getAxisTransform(), ref: function (c) {
            if (!_.isObject(c))
                return;
            var axisLeft = d3.axisLeft(props.yScale);
            var d3SelectionResult = d3.select(c);
            d3SelectionResult.call(axisLeft);
        } }));
};
//# sourceMappingURL=value-axis.js.map