import { IUnixTimePoint } from '../state/unix-time-point';
export declare enum EnumRawCsvFormat {
    DateTimeThenValue = 0,
    UnixTimeThenValue = 1,
}
export interface IExtractUnixTimePointsConfig {
    rawFormat: EnumRawCsvFormat;
    timeStampColumnName: string;
    valueColumnName: string;
}
export declare const csvLoadingCalculations: {
    extractUnixTimePoints: (csvRows: any[], config: IExtractUnixTimePointsConfig) => IUnixTimePoint[];
};
