"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var _ = __importStar(require("lodash"));
var Papa = __importStar(require("papaparse"));
var actions_1 = require("./actions");
var loadCsv = function (url, useStreaming) {
    if (useStreaming === void 0) { useStreaming = false; }
    return function (dispatch) {
        dispatch(_.toPlainObject(new actions_1.StartedProcessingCsvAction()));
        Papa.parse(url, {
            download: true,
            worker: false,
            header: true,
            skipEmptyLines: true,
            chunk: useStreaming ?
                function (results) { return dispatch(_.toPlainObject(new actions_1.ReceivedCsvChunkAction(results.data))); } :
                undefined,
            complete: function (results) { return dispatch(_.toPlainObject(new actions_1.FinishedProcessingCsvAction(_.isObject(results) ? results.data : []))); }
        });
    };
};
exports.loadCsv = loadCsv;
//# sourceMappingURL=effects.js.map