"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var index_1 = require("./index");
var auxiliary_1 = require("../hp-time-series-chart/auxiliary");
/**
 * Wraps HpTimeSeriesScroller providing the façade usage;
 * properties are simplified as much as possible to facilitate setting them "manually"
 * (without using/calling reducers).
 * It is the recommended way to use the HpTimeSeriesScroller without Redux.
 */
exports.HpTimeSeriesScrollerWrapper = function (props) {
    return React.createElement(index_1.HpTimeSeriesScroller, { chartState: auxiliary_1.hpTimeSeriesChartAuxiliary.buildStateFromExternalSource(props.series), sliderScss: props.sliderScss, timeSeriesChartScss: props.timeSeriesChartScss, displaySlider: props.displaySlider, fitToParentSize: props.fitToParentSize });
};
//# sourceMappingURL=wrapper.js.map