"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var _ = __importStar(require("lodash"));
var __1 = require("..");
;
exports.handleMovedCallback = function (value, type, state) {
    var newUnixFrom = state.windowUnixFrom;
    var newUnixTo = state.windowUnixTo;
    switch (type) {
        case __1.EnumHandleType.Left:
            newUnixFrom = _.isNumber(value) ? value : 0;
            break;
        case __1.EnumHandleType.Right:
            newUnixTo = _.isNumber(value) ? value : 0;
            break;
        case __1.EnumHandleType.DragBar:
            newUnixFrom = _.isArray(value) ? value[0] : 0;
            newUnixTo = _.isArray(value) ? value[1] : 0;
            break;
    }
    return {
        windowUnixFrom: newUnixFrom,
        windowUnixTo: newUnixTo,
    };
};
//# sourceMappingURL=slider-to-chart-integration.js.map