"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var _ = __importStar(require("lodash"));
var d3 = __importStar(require("d3"));
exports.DateTimeAxis = function (props) {
    var getAxisTransform = function () {
        return "translate(0, " + (props.scss.heightPx - props.scss.paddingBottomPx) + ")";
    };
    return (React.createElement("g", { className: "axis", transform: getAxisTransform(), ref: function (node) {
            if (!_.isObject(node))
                return;
            var axisBottom = d3.axisBottom(props.xScale);
            if (_.isString(props.tickFormat)) {
                axisBottom.tickFormat(d3.timeFormat(props.tickFormat));
            }
            var d3SelectionResult = d3.select(node);
            d3SelectionResult.call(axisBottom);
        } }));
};
//# sourceMappingURL=date-time-axis.js.map