"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var _ = __importStar(require("lodash"));
var Dots = /** @class */ (function (_super) {
    __extends(Dots, _super);
    function Dots(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {};
        return _this;
    }
    Dots.prototype.renderDots = function () {
        var _this = this;
        var rendered = [];
        _.each(this.props.points, function (p) {
            rendered.push((React.createElement("circle", { cx: _this.props.xScale(new Date(p.unix)), cy: _this.props.yScale(p.value), fill: "red", r: "1" })));
        });
        return rendered;
    };
    Dots.prototype.render = function () {
        return (React.createElement("g", null, this.renderDots()));
    };
    return Dots;
}(React.Component));
exports.Dots = Dots;
//# sourceMappingURL=dots.js.map