import { Action } from 'redux';
declare class StartedProcessingCsvAction implements Action {
    readonly type: string;
}
declare class ReceivedCsvChunkAction implements Action {
    data: any[];
    readonly type: string;
    constructor(data: any[]);
}
declare class FinishedProcessingCsvAction implements Action {
    data: any[];
    readonly type: string;
    constructor(data: any[]);
}
export { StartedProcessingCsvAction, ReceivedCsvChunkAction, FinishedProcessingCsvAction };
