"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
var actionTypes = __importStar(require("./action-types"));
var StartedProcessingCsvAction = /** @class */ (function () {
    function StartedProcessingCsvAction() {
        this.type = actionTypes.STARTED_PROCESSING_CSV;
    }
    return StartedProcessingCsvAction;
}());
exports.StartedProcessingCsvAction = StartedProcessingCsvAction;
var ReceivedCsvChunkAction = /** @class */ (function () {
    function ReceivedCsvChunkAction(data) {
        this.data = data;
        this.type = actionTypes.RECEIVED_CSV_CHUNK;
    }
    return ReceivedCsvChunkAction;
}());
exports.ReceivedCsvChunkAction = ReceivedCsvChunkAction;
var FinishedProcessingCsvAction = /** @class */ (function () {
    function FinishedProcessingCsvAction(data) {
        this.data = data;
        this.type = actionTypes.FINISHED_PROCESSING_CSV;
    }
    return FinishedProcessingCsvAction;
}());
exports.FinishedProcessingCsvAction = FinishedProcessingCsvAction;
//# sourceMappingURL=actions.js.map