/// <reference types="react" />
import { IHpSliderScssGeneric, IHpTimeSeriesChartScssGeneric } from "../sass/styles";
import { IExternalSourceTimeSeries } from "../hp-time-series-chart/state/time-series";
export interface IHpTimeSeriesScrollerWrapperProps {
    series: IExternalSourceTimeSeries[];
    sliderScss: IHpSliderScssGeneric<number>;
    timeSeriesChartScss: IHpTimeSeriesChartScssGeneric<number>;
    displaySlider?: boolean;
    fitToParentSize?: boolean;
}
/**
 * Wraps HpTimeSeriesScroller providing the façade usage;
 * properties are simplified as much as possible to facilitate setting them "manually"
 * (without using/calling reducers).
 * It is the recommended way to use the HpTimeSeriesScroller without Redux.
 */
export declare const HpTimeSeriesScrollerWrapper: (props: IHpTimeSeriesScrollerWrapperProps) => JSX.Element;
